// texture_projection.H

#ifndef _TEXTURE_PROJECTION_H_
#define _TEXTURE_PROJECTION_H_

#include "memory.H"

namespace xrml {

class texture_projection: public PooledObj {
public:
  virtual Vec3 project(const Vec3& objecCoord, Vec3* X, Vec3* Y, Vec3 *Z)
  {
    cerr << "texture_projection::project(): not yet implemented.\n";
    return Vec3(0.,0.,0.);
  }

};

}  // namespace xrml

#endif /* _TEXTURE_PROJECTION_H_ */
